﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.239
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.239.
// 
#pragma warning disable 1591

namespace TestProject.AccountWebService {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.ComponentModel;
    using System.Xml.Serialization;
    
    
    /// <remarks/>
    // CODEGEN: The optional WSDL extension element 'PolicyReference' from namespace 'http://schemas.xmlsoap.org/ws/2004/09/policy' was not handled.
    // CODEGEN: The optional WSDL extension element 'EndpointReference' from namespace 'http://www.w3.org/2005/08/addressing' was not handled.
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="mexHttpbinding", Namespace="http://schemas.microsoft.com/ws/2005/02/mex/bindings")]
    public partial class AccountService : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private System.Threading.SendOrPostCallback LogonOperationCompleted;
        
        private System.Threading.SendOrPostCallback IsEmailAvailableOperationCompleted;
        
        private System.Threading.SendOrPostCallback IsEmailInUseOperationCompleted;
        
        private System.Threading.SendOrPostCallback IsNicknameAvailableOperationCompleted;
        
        private System.Threading.SendOrPostCallback IsNicknameAvailableForChangeOperationCompleted;
        
        private System.Threading.SendOrPostCallback IsCaptchaCorrectOperationCompleted;
        
        private System.Threading.SendOrPostCallback RegisterOperationCompleted;
        
        private System.Threading.SendOrPostCallback SendResetPasswordEmailOperationCompleted;
        
        private System.Threading.SendOrPostCallback ResetPasswordOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public AccountService() {
            this.SoapVersion = System.Web.Services.Protocols.SoapProtocolVersion.Soap12;
            this.Url = global::TestProject.Settings.Default.TestProject_AccountWebService_AccountService;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event LogonCompletedEventHandler LogonCompleted;
        
        /// <remarks/>
        public event IsEmailAvailableCompletedEventHandler IsEmailAvailableCompleted;
        
        /// <remarks/>
        public event IsEmailInUseCompletedEventHandler IsEmailInUseCompleted;
        
        /// <remarks/>
        public event IsNicknameAvailableCompletedEventHandler IsNicknameAvailableCompleted;
        
        /// <remarks/>
        public event IsNicknameAvailableForChangeCompletedEventHandler IsNicknameAvailableForChangeCompleted;
        
        /// <remarks/>
        public event IsCaptchaCorrectCompletedEventHandler IsCaptchaCorrectCompleted;
        
        /// <remarks/>
        public event RegisterCompletedEventHandler RegisterCompleted;
        
        /// <remarks/>
        public event SendResetPasswordEmailCompletedEventHandler SendResetPasswordEmailCompleted;
        
        /// <remarks/>
        public event ResetPasswordCompletedEventHandler ResetPasswordCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/IAccountService/Logon", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Logon([System.Xml.Serialization.XmlElementAttribute(IsNullable=true)] string email, [System.Xml.Serialization.XmlElementAttribute(IsNullable=true)] string password, out bool LogonResult, [System.Xml.Serialization.XmlIgnoreAttribute()] out bool LogonResultSpecified) {
            object[] results = this.Invoke("Logon", new object[] {
                        email,
                        password});
            LogonResult = ((bool)(results[0]));
            LogonResultSpecified = ((bool)(results[1]));
        }
        
        /// <remarks/>
        public void LogonAsync(string email, string password) {
            this.LogonAsync(email, password, null);
        }
        
        /// <remarks/>
        public void LogonAsync(string email, string password, object userState) {
            if ((this.LogonOperationCompleted == null)) {
                this.LogonOperationCompleted = new System.Threading.SendOrPostCallback(this.OnLogonOperationCompleted);
            }
            this.InvokeAsync("Logon", new object[] {
                        email,
                        password}, this.LogonOperationCompleted, userState);
        }
        
        private void OnLogonOperationCompleted(object arg) {
            if ((this.LogonCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.LogonCompleted(this, new LogonCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/IAccountService/IsEmailAvailable", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void IsEmailAvailable([System.Xml.Serialization.XmlElementAttribute(IsNullable=true)] string email, out bool IsEmailAvailableResult, [System.Xml.Serialization.XmlIgnoreAttribute()] out bool IsEmailAvailableResultSpecified) {
            object[] results = this.Invoke("IsEmailAvailable", new object[] {
                        email});
            IsEmailAvailableResult = ((bool)(results[0]));
            IsEmailAvailableResultSpecified = ((bool)(results[1]));
        }
        
        /// <remarks/>
        public void IsEmailAvailableAsync(string email) {
            this.IsEmailAvailableAsync(email, null);
        }
        
        /// <remarks/>
        public void IsEmailAvailableAsync(string email, object userState) {
            if ((this.IsEmailAvailableOperationCompleted == null)) {
                this.IsEmailAvailableOperationCompleted = new System.Threading.SendOrPostCallback(this.OnIsEmailAvailableOperationCompleted);
            }
            this.InvokeAsync("IsEmailAvailable", new object[] {
                        email}, this.IsEmailAvailableOperationCompleted, userState);
        }
        
        private void OnIsEmailAvailableOperationCompleted(object arg) {
            if ((this.IsEmailAvailableCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.IsEmailAvailableCompleted(this, new IsEmailAvailableCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/IAccountService/IsEmailInUse", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void IsEmailInUse([System.Xml.Serialization.XmlElementAttribute(IsNullable=true)] string email, out bool IsEmailInUseResult, [System.Xml.Serialization.XmlIgnoreAttribute()] out bool IsEmailInUseResultSpecified) {
            object[] results = this.Invoke("IsEmailInUse", new object[] {
                        email});
            IsEmailInUseResult = ((bool)(results[0]));
            IsEmailInUseResultSpecified = ((bool)(results[1]));
        }
        
        /// <remarks/>
        public void IsEmailInUseAsync(string email) {
            this.IsEmailInUseAsync(email, null);
        }
        
        /// <remarks/>
        public void IsEmailInUseAsync(string email, object userState) {
            if ((this.IsEmailInUseOperationCompleted == null)) {
                this.IsEmailInUseOperationCompleted = new System.Threading.SendOrPostCallback(this.OnIsEmailInUseOperationCompleted);
            }
            this.InvokeAsync("IsEmailInUse", new object[] {
                        email}, this.IsEmailInUseOperationCompleted, userState);
        }
        
        private void OnIsEmailInUseOperationCompleted(object arg) {
            if ((this.IsEmailInUseCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.IsEmailInUseCompleted(this, new IsEmailInUseCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/IAccountService/IsNicknameAvailable", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void IsNicknameAvailable([System.Xml.Serialization.XmlElementAttribute(IsNullable=true)] string nickname, out bool IsNicknameAvailableResult, [System.Xml.Serialization.XmlIgnoreAttribute()] out bool IsNicknameAvailableResultSpecified) {
            object[] results = this.Invoke("IsNicknameAvailable", new object[] {
                        nickname});
            IsNicknameAvailableResult = ((bool)(results[0]));
            IsNicknameAvailableResultSpecified = ((bool)(results[1]));
        }
        
        /// <remarks/>
        public void IsNicknameAvailableAsync(string nickname) {
            this.IsNicknameAvailableAsync(nickname, null);
        }
        
        /// <remarks/>
        public void IsNicknameAvailableAsync(string nickname, object userState) {
            if ((this.IsNicknameAvailableOperationCompleted == null)) {
                this.IsNicknameAvailableOperationCompleted = new System.Threading.SendOrPostCallback(this.OnIsNicknameAvailableOperationCompleted);
            }
            this.InvokeAsync("IsNicknameAvailable", new object[] {
                        nickname}, this.IsNicknameAvailableOperationCompleted, userState);
        }
        
        private void OnIsNicknameAvailableOperationCompleted(object arg) {
            if ((this.IsNicknameAvailableCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.IsNicknameAvailableCompleted(this, new IsNicknameAvailableCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/IAccountService/IsNicknameAvailableForChange", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void IsNicknameAvailableForChange([System.Xml.Serialization.XmlElementAttribute(IsNullable=true)] string nickname, out bool IsNicknameAvailableForChangeResult, [System.Xml.Serialization.XmlIgnoreAttribute()] out bool IsNicknameAvailableForChangeResultSpecified) {
            object[] results = this.Invoke("IsNicknameAvailableForChange", new object[] {
                        nickname});
            IsNicknameAvailableForChangeResult = ((bool)(results[0]));
            IsNicknameAvailableForChangeResultSpecified = ((bool)(results[1]));
        }
        
        /// <remarks/>
        public void IsNicknameAvailableForChangeAsync(string nickname) {
            this.IsNicknameAvailableForChangeAsync(nickname, null);
        }
        
        /// <remarks/>
        public void IsNicknameAvailableForChangeAsync(string nickname, object userState) {
            if ((this.IsNicknameAvailableForChangeOperationCompleted == null)) {
                this.IsNicknameAvailableForChangeOperationCompleted = new System.Threading.SendOrPostCallback(this.OnIsNicknameAvailableForChangeOperationCompleted);
            }
            this.InvokeAsync("IsNicknameAvailableForChange", new object[] {
                        nickname}, this.IsNicknameAvailableForChangeOperationCompleted, userState);
        }
        
        private void OnIsNicknameAvailableForChangeOperationCompleted(object arg) {
            if ((this.IsNicknameAvailableForChangeCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.IsNicknameAvailableForChangeCompleted(this, new IsNicknameAvailableForChangeCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/IAccountService/IsCaptchaCorrect", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void IsCaptchaCorrect([System.Xml.Serialization.XmlElementAttribute(IsNullable=true)] string captcha, out bool IsCaptchaCorrectResult, [System.Xml.Serialization.XmlIgnoreAttribute()] out bool IsCaptchaCorrectResultSpecified) {
            object[] results = this.Invoke("IsCaptchaCorrect", new object[] {
                        captcha});
            IsCaptchaCorrectResult = ((bool)(results[0]));
            IsCaptchaCorrectResultSpecified = ((bool)(results[1]));
        }
        
        /// <remarks/>
        public void IsCaptchaCorrectAsync(string captcha) {
            this.IsCaptchaCorrectAsync(captcha, null);
        }
        
        /// <remarks/>
        public void IsCaptchaCorrectAsync(string captcha, object userState) {
            if ((this.IsCaptchaCorrectOperationCompleted == null)) {
                this.IsCaptchaCorrectOperationCompleted = new System.Threading.SendOrPostCallback(this.OnIsCaptchaCorrectOperationCompleted);
            }
            this.InvokeAsync("IsCaptchaCorrect", new object[] {
                        captcha}, this.IsCaptchaCorrectOperationCompleted, userState);
        }
        
        private void OnIsCaptchaCorrectOperationCompleted(object arg) {
            if ((this.IsCaptchaCorrectCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.IsCaptchaCorrectCompleted(this, new IsCaptchaCorrectCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/IAccountService/Register", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Register([System.Xml.Serialization.XmlElementAttribute(IsNullable=true)] UserForRegistration user, [System.Xml.Serialization.XmlElementAttribute(IsNullable=true)] string captcha) {
            this.Invoke("Register", new object[] {
                        user,
                        captcha});
        }
        
        /// <remarks/>
        public void RegisterAsync(UserForRegistration user, string captcha) {
            this.RegisterAsync(user, captcha, null);
        }
        
        /// <remarks/>
        public void RegisterAsync(UserForRegistration user, string captcha, object userState) {
            if ((this.RegisterOperationCompleted == null)) {
                this.RegisterOperationCompleted = new System.Threading.SendOrPostCallback(this.OnRegisterOperationCompleted);
            }
            this.InvokeAsync("Register", new object[] {
                        user,
                        captcha}, this.RegisterOperationCompleted, userState);
        }
        
        private void OnRegisterOperationCompleted(object arg) {
            if ((this.RegisterCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.RegisterCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/IAccountService/SendResetPasswordEmail", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute(IsNullable=true)]
        public string SendResetPasswordEmail([System.Xml.Serialization.XmlElementAttribute(IsNullable=true)] string email) {
            object[] results = this.Invoke("SendResetPasswordEmail", new object[] {
                        email});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void SendResetPasswordEmailAsync(string email) {
            this.SendResetPasswordEmailAsync(email, null);
        }
        
        /// <remarks/>
        public void SendResetPasswordEmailAsync(string email, object userState) {
            if ((this.SendResetPasswordEmailOperationCompleted == null)) {
                this.SendResetPasswordEmailOperationCompleted = new System.Threading.SendOrPostCallback(this.OnSendResetPasswordEmailOperationCompleted);
            }
            this.InvokeAsync("SendResetPasswordEmail", new object[] {
                        email}, this.SendResetPasswordEmailOperationCompleted, userState);
        }
        
        private void OnSendResetPasswordEmailOperationCompleted(object arg) {
            if ((this.SendResetPasswordEmailCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.SendResetPasswordEmailCompleted(this, new SendResetPasswordEmailCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/IAccountService/ResetPassword", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void ResetPassword([System.Xml.Serialization.XmlElementAttribute(IsNullable=true)] string code, [System.Xml.Serialization.XmlElementAttribute(IsNullable=true)] string email, [System.Xml.Serialization.XmlElementAttribute(IsNullable=true)] string newPassword) {
            this.Invoke("ResetPassword", new object[] {
                        code,
                        email,
                        newPassword});
        }
        
        /// <remarks/>
        public void ResetPasswordAsync(string code, string email, string newPassword) {
            this.ResetPasswordAsync(code, email, newPassword, null);
        }
        
        /// <remarks/>
        public void ResetPasswordAsync(string code, string email, string newPassword, object userState) {
            if ((this.ResetPasswordOperationCompleted == null)) {
                this.ResetPasswordOperationCompleted = new System.Threading.SendOrPostCallback(this.OnResetPasswordOperationCompleted);
            }
            this.InvokeAsync("ResetPassword", new object[] {
                        code,
                        email,
                        newPassword}, this.ResetPasswordOperationCompleted, userState);
        }
        
        private void OnResetPasswordOperationCompleted(object arg) {
            if ((this.ResetPasswordCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ResetPasswordCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.0.30319.233")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://schemas.datacontract.org/2004/07/PumpkinHouseDatabase.Contract")]
    public partial class UserForRegistration {
        
        private string emailField;
        
        private string nicknameField;
        
        private string passwordField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true)]
        public string email {
            get {
                return this.emailField;
            }
            set {
                this.emailField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true)]
        public string nickname {
            get {
                return this.nicknameField;
            }
            set {
                this.nicknameField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true)]
        public string password {
            get {
                return this.passwordField;
            }
            set {
                this.passwordField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void LogonCompletedEventHandler(object sender, LogonCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class LogonCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal LogonCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool LogonResult {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
        
        /// <remarks/>
        public bool LogonResultSpecified {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[1]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void IsEmailAvailableCompletedEventHandler(object sender, IsEmailAvailableCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class IsEmailAvailableCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal IsEmailAvailableCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool IsEmailAvailableResult {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
        
        /// <remarks/>
        public bool IsEmailAvailableResultSpecified {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[1]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void IsEmailInUseCompletedEventHandler(object sender, IsEmailInUseCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class IsEmailInUseCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal IsEmailInUseCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool IsEmailInUseResult {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
        
        /// <remarks/>
        public bool IsEmailInUseResultSpecified {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[1]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void IsNicknameAvailableCompletedEventHandler(object sender, IsNicknameAvailableCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class IsNicknameAvailableCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal IsNicknameAvailableCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool IsNicknameAvailableResult {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
        
        /// <remarks/>
        public bool IsNicknameAvailableResultSpecified {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[1]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void IsNicknameAvailableForChangeCompletedEventHandler(object sender, IsNicknameAvailableForChangeCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class IsNicknameAvailableForChangeCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal IsNicknameAvailableForChangeCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool IsNicknameAvailableForChangeResult {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
        
        /// <remarks/>
        public bool IsNicknameAvailableForChangeResultSpecified {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[1]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void IsCaptchaCorrectCompletedEventHandler(object sender, IsCaptchaCorrectCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class IsCaptchaCorrectCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal IsCaptchaCorrectCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool IsCaptchaCorrectResult {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
        
        /// <remarks/>
        public bool IsCaptchaCorrectResultSpecified {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[1]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void RegisterCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void SendResetPasswordEmailCompletedEventHandler(object sender, SendResetPasswordEmailCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class SendResetPasswordEmailCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal SendResetPasswordEmailCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void ResetPasswordCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
}

#pragma warning restore 1591